com.oracle.truffle.api.instrument

## Interface TruffleEventReceiver

All Known Implementing Classes:
  DefaultEventReceiver, ProbeNode, SimpleEventReceiver

    public interface TruffleEventReceiver

A receiver of Truffle AST runtime execution events that can collect information and possibly intervene on behalf of an external tool.

### Method Summary

Methods
`void` `enter(Node node, VirtualFrame frame)` Receive notification that an AST node's execute method is about to be called.
`void` `returnExceptional(Node node, VirtualFrame frame, java.lang.Exception exception)` Receive notification that an AST Node's execute method has just thrown an exception.
`void` `returnValue(Node node, VirtualFrame frame, java.lang.Object result)` Receive notification that an AST Node'sexecute method has just returned a value (boxed if primitive).
`void` `returnVoid(Node node, VirtualFrame frame)` Receive notification that an AST Node's `void`-valued execute method has just returned.

### Method Detail

#### enter

    void enter(Node node,
             VirtualFrame frame)

Receive notification that an AST node's execute method is about to be called.

#### returnVoid

    void returnVoid(Node node,
                  VirtualFrame frame)

Receive notification that an AST Node's `void`-valued execute method has just returned.

#### returnValue

    void returnValue(Node node,
                   VirtualFrame frame,
                   java.lang.Object result)

Receive notification that an AST Node'sexecute method has just returned a value (boxed if primitive).

#### returnExceptional

    void returnExceptional(Node node,
                         VirtualFrame frame,
                         java.lang.Exception exception)

Receive notification that an AST Node's execute method has just thrown an exception.